Bug 734080 - Not able to use subscription-manager: undefined method `organizations'
Summary: Not able to use subscription-manager: undefined method `organizations'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-29 12:12 UTC by Lukas Zapletal
Modified: 2015-01-04 21:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:54:03 UTC


Attachments (Terms of Use)

Description Lukas Zapletal 2011-08-29 12:12:54 UTC
Description of problem:

# subscription-manager register --username=admin --password=admin --force

NoMethodError: undefined method `organizations' for #<User:0x7ff3922dcca0>
/usr/lib/ruby/gems/1.8/gems/activemodel-3.0.5/lib/active_model/attribute_methods.rb:364:in `method_missing'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.5/lib/active_record/attribute_methods.rb:46:in `method_missing'
/usr/share/katello/app/controllers/api/organizations_controller.rb:54:in `list_owners'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.5/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.5/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.5/lib/abstract_controller/base.rb:150:in `process_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.5/lib/action_controller/metal/rendering.rb:11:in `process_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.5/lib/abstract_controller/callbacks.rb:18:in `process_action'

Comment 1 Lukas Zapletal 2011-08-29 12:22:49 UTC
457d85c 734080 - katello now returns orgs for owner

Comment 2 Garik Khachikyan 2011-09-23 14:05:01 UTC
# VERIFIED

Not actual: now the call takes --org --environments arguments and works fine.

Checked against: 
subscription-manager-0.96.9-1.el6.x86_64
python-rhsm-0.96.12-1.el6.noarch
katello-0.1.83-1.git.48.02111ba.fc15.noarch


Note You need to log in before you can comment on or make changes to this bug.